[FFmpeg-cvslog] r10817 - trunk/version.sh

aurel subversion
Sat Oct 20 02:07:48 CEST 2007


Author: aurel
Date: Sat Oct 20 02:07:48 2007
New Revision: 10817

Log:
add support for git in version.sh (use short hash as version number)


Modified:
   trunk/version.sh

Modified: trunk/version.sh
==============================================================================
--- trunk/version.sh	(original)
+++ trunk/version.sh	Sat Oct 20 02:07:48 2007
@@ -6,6 +6,12 @@ test $revision || revision=`cd "$1" && g
 test $revision || revision=`cd "$1" && sed -n -e '/^dir$/{n;p;q}' .svn/entries 2>/dev/null`
 test $revision && revision=SVN-r$revision
 
+# check for git short hash
+if ! test $revision; then
+    revision=`cd "$1" && git log -1 --pretty=format:%h`
+    test $revision && revision=git-$revision
+fi
+
 # no version number found
 test $revision || revision=UNKNOWN
 




More information about the ffmpeg-cvslog mailing list